Status: Closed Priority: Normal
Author: ThibG Category: Build
Created: 05/10/2010 Assignee: sfb
Updated: 05/28/2010 Due date:
Subject: Ryzom client include private NeL headers
Description

In client/src/sound_manager.cpp, Ryzom client includes private NeL headers (src/sound/clustered_sound.h and
src/sound/audio_mixer_user.h).
This is wrong as only public headers should be included.
So, either those headers (or at least the functions used by Ryzom client) should be made public, either Ryzom client should be
changed to use the already public ones (but without looking at them, I don't think they cover what is needed by Ryzom client).

History
#1 - 05/10/2010 09:23 pm - kervala

Yes, you're right :) And when we install "headers", Ryzom should only use "installed headers" not private ones.

We already did that for NL3D (some .h files were in "src").

#2 - 05/10/2010 09:25 pm - sfb

fyi I have most of this done in a personal repo. It's a lot so I won't get it pushed back until tomorrow. I might branch and push the branch back.

#3 - 05/10/2010 09:26 pm - sfb
- Category set to Build
- Assignee set to sfb

#4 - 05/10/2010 09:30 pm - kervala

Thanks sfb :)

#5 - 05/12/2010 01:08 pm - kervala
- Status changed from New to Resolved
- % Done changed from 0 to 100

#6 - 05/28/2010 05:23 pm - vl
- Status changed from Resolved to Closed
